Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFBorderFormatting

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFBorderFormatting

    public final class HSSFBorderFormatting

extends java.lang.Object

High level representation for Border Formatting component of Conditional Formatting settings

Author:
  Dmitriy Kumshayev

Field Summary
`static short` | `BORDER_DASH_DOT` dash-dot border
`static short` | `BORDER_DASH_DOT_DOT` dash-dot-dot border
`static short` | `BORDER_DASHED` dash border
`static short` | `BORDER_DOTTED` hair-line border
`static short` | `BORDER_DOUBLE` double-line border
`static short` | `BORDER_HAIR` dot border
`static short` | `BORDER_MEDIUM` Medium border
`static short` | `BORDER_MEDIUM_DASH_DOT` medium dash-dot border
`static short` | `BORDER_MEDIUM_DASH_DOT_DOT` medium dash-dot-dot border
`static short` | `BORDER_MEDIUM_DASHED` Medium dashed border
`static short` | `BORDER_NONE` No border
`static short` | `BORDER_SLANTED_DASH_DOT` slanted dash-dot border
`static short` | `BORDER_THICK` Thick border
`static short` | `BORDER_THIN` Thin border

Constructor Summary
`protected` | `HSSFBorderFormatting(CFRuleRecord cfRuleRecord)`

Method Summary
`short` | `getBorderBottom()`
`short` | `getBorderDiagonal()`
`protected BorderFormatting` | `getBorderFormattingBlock()`
`short` | `getBorderLeft()`
`short` | `getBorderRight()`
`short` | `getBorderTop()`
`short` | `getBottomBorderColor()`
`short` | `getDiagonalBorderColor()`
`short` | `getLeftBorderColor()`
`short` | `getRightBorderColor()`
`short` | `getTopBorderColor()`
`boolean` | `isBackwardDiagonalOn()`
`boolean` | `isForwardDiagonalOn()`
`void` | `setBackwardDiagonalOn(boolean on)`
`void` | `setBorderBottom(short border)`
`void` | `setBorderDiagonal(short border)`
`void` | `setBorderLeft(short border)`
`void` | `setBorderRight(short border)`
`void` | `setBorderTop(short border)`
`void` | `setBottomBorderColor(short color)`
`void` | `setDiagonalBorderColor(short color)`
`void` | `setForwardDiagonalOn(boolean on)`
`void` | `setLeftBorderColor(short color)`
`void` | `setRightBorderColor(short color)`
`void` | `setTopBorderColor(short color)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BORDER_NONE

    public static final short BORDER_NONE

  No border

  See Also:
    Constant Field Values

### BORDER_THIN

    public static final short BORDER_THIN

  Thin border

  See Also:
    Constant Field Values

### BORDER_MEDIUM

    public static final short BORDER_MEDIUM

  Medium border

  See Also:
    Constant Field Values

### BORDER_DASHED

    public static final short BORDER_DASHED

  dash border

  See Also:
    Constant Field Values

### BORDER_HAIR

    public static final short BORDER_HAIR

  dot border

  See Also:
    Constant Field Values

### BORDER_THICK

    public static final short BORDER_THICK

  Thick border

  See Also:
    Constant Field Values

### BORDER_DOUBLE

    public static final short BORDER_DOUBLE

  double-line border

  See Also:
    Constant Field Values

### BORDER_DOTTED

    public static final short BORDER_DOTTED

  hair-line border

  See Also:
    Constant Field Values

### BORDER_MEDIUM_DASHED

    public static final short BORDER_MEDIUM_DASHED

  Medium dashed border

  See Also:
    Constant Field Values

### BORDER_DASH_DOT

    public static final short BORDER_DASH_DOT

  dash-dot border

  See Also:
    Constant Field Values

### BORDER_MEDIUM_DASH_DOT

    public static final short BORDER_MEDIUM_DASH_DOT

  medium dash-dot border

  See Also:
    Constant Field Values

### BORDER_DASH_DOT_DOT

    public static final short BORDER_DASH_DOT_DOT

  dash-dot-dot border

  See Also:
    Constant Field Values

### BORDER_MEDIUM_DASH_DOT_DOT

    public static final short BORDER_MEDIUM_DASH_DOT_DOT

  medium dash-dot-dot border

  See Also:
    Constant Field Values

### BORDER_SLANTED_DASH_DOT

    public static final short BORDER_SLANTED_DASH_DOT

  slanted dash-dot border

  See Also:
    Constant Field Values

Constructor Detail

### HSSFBorderFormatting

    protected HSSFBorderFormatting(CFRuleRecord cfRuleRecord)

Method Detail

### getBorderFormattingBlock

    protected BorderFormatting getBorderFormattingBlock()

### getBorderBottom

    public short getBorderBottom()

### getBorderDiagonal

    public short getBorderDiagonal()

### getBorderLeft

    public short getBorderLeft()

### getBorderRight

    public short getBorderRight()

### getBorderTop

    public short getBorderTop()

### getBottomBorderColor

    public short getBottomBorderColor()

### getDiagonalBorderColor

    public short getDiagonalBorderColor()

### getLeftBorderColor

    public short getLeftBorderColor()

### getRightBorderColor

    public short getRightBorderColor()

### getTopBorderColor

    public short getTopBorderColor()

### isBackwardDiagonalOn

    public boolean isBackwardDiagonalOn()

### isForwardDiagonalOn

    public boolean isForwardDiagonalOn()

### setBackwardDiagonalOn

    public void setBackwardDiagonalOn(boolean on)

### setBorderBottom

    public void setBorderBottom(short border)

### setBorderDiagonal

    public void setBorderDiagonal(short border)

### setBorderLeft

    public void setBorderLeft(short border)

### setBorderRight

    public void setBorderRight(short border)

### setBorderTop

    public void setBorderTop(short border)

### setBottomBorderColor

    public void setBottomBorderColor(short color)

### setDiagonalBorderColor

    public void setDiagonalBorderColor(short color)

### setForwardDiagonalOn

    public void setForwardDiagonalOn(boolean on)

### setLeftBorderColor

    public void setLeftBorderColor(short color)

### setRightBorderColor

    public void setRightBorderColor(short color)

### setTopBorderColor

    public void setTopBorderColor(short color)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.